package com.rjconsultores.ventaboletos.web.gui.controladores.gr;

import java.text.SimpleDateFormat;

import org.apache.commons.lang.StringUtils;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Aidf;

public class AidfListItemRenderer implements ListitemRenderer {
	
	@Override
	public void render(Listitem listItem, Object _aidf) throws Exception {
		Aidf aidf = (Aidf)_aidf;

		Listcell idCell =  new Listcell(aidf.getAidfId().toString());
		idCell.setParent(listItem);
		
		Listcell especieCell =  aidf.getAidfEspecie() == null ? new Listcell("") : new Listcell(aidf.getAidfEspecie().toString());
		especieCell.setParent(listItem);
		
		Listcell tipoCell = aidf.getAidfTipo() == null ? new Listcell("") :  new Listcell(aidf.getAidfTipo().toString());
		tipoCell.setParent(listItem);
		
		Listcell estadoCell = aidf.getEstado() == null ? new Listcell("") : new Listcell(aidf.getEstado().toString());
		estadoCell.setParent(listItem);
		
		Listcell empresaCell = aidf.getEmpresa() == null ? new Listcell("") : new Listcell(aidf.getEmpresa().toString());
		empresaCell.setParent(listItem);
		
		Listcell inscEstadualCell = StringUtils.isBlank(aidf.getInscestadual())?new Listcell("") :new Listcell(aidf.getInscestadual());
		inscEstadualCell.setParent(listItem);
		
		Listcell docFiscalCell =  aidf.getDocfiscal() == null ? new Listcell("") : new Listcell(aidf.getDocfiscal());
		docFiscalCell.setParent(listItem);
		
		Listcell acFiscalCell =  aidf.getAcfiscal() == null ? new Listcell("") : new Listcell(aidf.getAcfiscal());
		acFiscalCell.setParent(listItem);
				
		Listcell serieCell = aidf.getSerie() == null ?  new Listcell("") : new Listcell(aidf.getSerie());
		serieCell.setParent(listItem);
		
		Listcell subserieCell = aidf.getSubserie() == null ? new Listcell("") : new Listcell(aidf.getSubserie());
		subserieCell.setParent(listItem);
		
		Listcell formInicialCell = aidf.getForminicial() == null ? new Listcell("") : new Listcell(aidf.getForminicial());
		formInicialCell.setParent(listItem);
		
		Listcell formFinalCell = aidf.getFormfinal() == null ? new Listcell("") : new Listcell(aidf.getFormfinal());
		formFinalCell.setParent(listItem);
				
		SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");
		
		Listcell fecadquisicionCell =  new Listcell(aidf.getFecadquisicion() != null ? sdf.format(aidf.getFecadquisicion()) : null);
		fecadquisicionCell.setParent(listItem);
		
		Listcell fecvencimientoCell =  aidf.getFecvencimiento()==null ? new Listcell(""): new Listcell(sdf.format(aidf.getFecvencimiento()));
		fecvencimientoCell.setParent(listItem);
						
		listItem.setAttribute("data", aidf);
		
	}

}
